Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 448711 - abiword segfaults on startup
Summary: abiword segfaults on startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 452906 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-28 11:56 UTC by Mark Summerfield
Modified: 2008-11-27 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-27 14:23:36 UTC


Attachments (Terms of Use)

Description Mark Summerfield 2008-05-28 11:56:06 UTC
I installed abiword using yum in the standard way, but it segfaults on startup.
Here's the backtrace I got (with lots of lines omitted indicated by ...):

: gdb abiword
GNU gdb Red Hat Linux (6.6-45.fc8rh)
...
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) run
Starting program: /usr/bin/abiword
(no debugging symbols found)
...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208345984 (LWP 2769)]
0x00b37df0 in ?? () from /usr/lib/libfontconfig.so.1
(gdb) backtrace
#0  0x00b37df0 in ?? () from /usr/lib/libfontconfig.so.1
#1  0x00b2ff4f in ?? () from /usr/lib/libfontconfig.so.1
#2  0x00b3322a in ?? () from /usr/lib/libfontconfig.so.1
#3  0x00b33d0a in ?? () from /usr/lib/libfontconfig.so.1
#4  0x00b33d89 in FcNameUnparse () from /usr/lib/libfontconfig.so.1
#5  0x08241684 in XAP_UnixFontManager::scavengeFonts ()
#6  0x082418bb in XAP_UnixFontManager::XAP_UnixFontManager ()
#7  0x0823c992 in XAP_UnixApp::_loadFonts ()
#8  0x0823cb02 in XAP_UnixApp::initialize ()
#9  0x08147ea1 in AP_App::initialize ()
#10 0x081410de in AP_UnixApp::initialize ()
#11 0x08142820 in AP_UnixApp::main ()
#12 0x0813ea4a in main ()
(gdb) q

This is just FYI; it isn't a problem for me since I just wanted to try it out.

Comment 1 Matteo Castellini 2008-05-28 13:22:43 UTC
Thank you for taking the time to report this bug report. Unfortunately, 
that stack trace is not very useful in determining the cause of the crash,
because there is not a symbolic stack trace.  In order to get a symbolic
stack trace, the appropriate debuginfo packages need to be installed.
In order to accomplish this, you can issue:

# yum -y install yum-utils
# debuginfo-install abiword
 
Please see http://fedoraproject.org/wiki/StackTraces for more information about
stack traces.

Comment 2 Mark Summerfield 2008-05-28 14:31:51 UTC
New backtrace with debug info:

: gdb abiword
GNU gdb Red Hat Linux (6.6-45.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) run
Starting program: /usr/bin/abiword
[Thread debugging using libthread_db enabled]
[New Thread -1208915328 (LWP 20764)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208915328 (LWP 20764)]
FcStrBufString (buf=0xbfb2ab44, s=0x3 <Address 0x3 out of bounds>) at fcstr.c:741
741         while ((c = *s++))
Current language:  auto; currently c
Missing separate debuginfos, use: debuginfo-install esound.i386 keyutils.i386
(gdb) thread apply all bt

Thread 1 (Thread -1208915328 (LWP 20764)):
#0  FcStrBufString (buf=0xbfb2ab44, s=0x3 <Address 0x3 out of bounds>) at
fcstr.c:741
#1  0x00b2ff4f in FcNameUnparseLangSet (buf=0xbfb2ab44, ls=0xb7f343b8) at
fclang.c:552
#2  0x00b3322a in FcNameUnparseValueList (buf=0xbfb2ab44, v=0xb7f340f8,
escape=0xb3ed93 "\\=_:,") at fcname.c:795
#3  0x00b33d0a in FcNameUnparseEscaped (pat=0xb7f34088, escape=1) at fcname.c:871
#4  0x00b33d89 in IA__FcNameUnparse (pat=0xb7f34088) at fcname.c:824
#5  0x08241684 in XAP_UnixFontManager::scavengeFonts (this=0x9dffe68) at
xap_UnixFontManager.cpp:137
#6  0x082418bb in XAP_UnixFontManager (this=0x9dffe68) at xap_UnixFontManager.cpp:49
#7  0x0823c992 in XAP_UnixApp::_loadFonts (this=0x9d6d610) at xap_UnixApp.cpp:244
#8  0x0823cb02 in XAP_UnixApp::initialize (this=0x9d6d610,
szKeyBindingsKey=0x83f8b5e "KeyBindings", szKeyBindingsDefaultValue=0x83efdf5
"default")
    at xap_UnixApp.cpp:151
#9  0x08147ea1 in AP_App::initialize (this=0x9d6d610) at ap_App.cpp:104
#10 0x081410de in AP_UnixApp::initialize (this=0x9d6d610, has_display=true) at
ap_UnixApp.cpp:340
#11 0x08142820 in AP_UnixApp::main (szAppName=0x83efd87 "AbiWord", argc=1,
argv=0xbfb2cf24) at ap_UnixApp.cpp:1445
#12 0x0813ea4a in main (argc=-1078809768, argv=0x0) at UnixMain.cpp:26
(gdb) q

Comment 3 Marc Maurer 2008-05-28 23:11:12 UTC
Maybe I should update F8 to abiword 2.6.x as well, as I'm rather sure that this
is fixed in 2.6.x.

Comment 4 Rex Dieter 2008-06-25 20:13:31 UTC
*** Bug 452906 has been marked as a duplicate of this bug. ***

Comment 5 Bug Zapper 2008-11-26 10:47:12 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Marc Maurer 2008-11-27 14:23:36 UTC
This is an AbiWord 2.4.x bug. This is fixed in AbiWord 2.6.x, which is available for F8.


Note You need to log in before you can comment on or make changes to this bug.